// <html><head><title> MpxG2Structs.h </title></head><body bgcolor=#FFFFFF><pre>
///////////////////////////////////////////////////////////////////////////////
//	Copyright (C) 2000 by Lexicon, Incorporated, Bedford, Massachusetts, USA
//	All Rights Reserved, Worldwide
//
// Under the copyright laws this program may not be copied, in whole or in part, 
// without the express written consent of Lexicon, Incorporated.  Under the law, 
// copying includes translating into another language or format.
//
// This program is protected as an unpublished work under the copyright laws of 
// The United States of America.  The above copyright notice is not intended to 
// constitute a publication of this work.
//
////////////////////////////////////////////////////////////////////////////////
//	    Project: MPX G2
//     Filename: MpxG2ParamIDs.h
//	Description: This file contains ID definitions for all of the parameter/data
//				 types in the system.
//
//	Revision History:
//------------------------------------------------------------------------------
//	09-08-98	rjs		Created.
//	06-01-00	rjs		Prepped for public distribution.
//	
//////////////////////////////////////////////////////////////////////////////
 
// Audio Parameters 
#define RATE_1_PARAM		0
#define RATE_2_PARAM		1
#define RATE_3_PARAM		2
#define RATE_4_PARAM		3
#define RATE_5_PARAM		4
#define RATE_6_PARAM		5
#define RATE_7_PARAM		6
#define RATE_8_PARAM		7
#define DRUM_RATE_1_PARAM		8
#define DRUM_RATE_2_PARAM		9
#define HORN_RATE_1_PARAM		10
#define HORN_RATE_2_PARAM		11
#define CENTRIFUGE_RATE_1_PARAM		12
#define CENTRIFUGE_RATE_2_PARAM		13
#define LFO_1_RATE_PARAM		14
#define LFO_2_RATE_PARAM		15
#define RANDOM_RATE_PARAM		16
#define DELAY_TIME_PARAM		17
#define VOICE1L_PARAM		18
#define VOICE2L_PARAM		19
#define VOICE3L_PARAM		20
#define VOICE1R_PARAM		21
#define VOICE2R_PARAM		22
#define VOICE3R_PARAM		23
#define STEREO_MASTER_PARAM		24
#define MIDRT_PARAM		25
#define BASSRT_PARAM		26
#define XOVER_PARAM		27
#define TREB_PARAM		28
#define DIFFUS_PARAM		29
#define PREDELAY_PARAM		30
#define RVBSHAPE_PARAM		31
#define SPREAD_PARAM		32
#define LINK_PARAM		33
#define SLOPE_PARAM		34
#define LOWSLOPE_PARAM		35
#define DECAY_PARAM		36
#define ROLLOFF_PARAM		37
#define DECAYLEVEL_PARAM		38
#define DURATION_PARAM		39
#define AMBDELAY_PARAM		40
#define FULL_SIZE_PARAM		41
#define CHAMBER_SIZE_PARAM		42
#define HALL_SIZE_PARAM		43
#define NOTE_PARAM		44
#define PHASE_1_PARAM		45
#define PHASE_5_PARAM		46
#define PHASE_6_PARAM		47
#define INMIX_PARAM		48
#define KEY_PARAM		49
#define SCALE_PARAM		50
#define INTERVAL_PARAM		51
#define RATE_9_PARAM		52
#define RATE_10_PARAM		53
#define TONE_LO_PARAM		54
#define TONE_MID_PARAM		55
#define TONE_HI_PARAM		56
#define DYN_GAIN_LO_CUT_PARAM		57
#define DYN_GAIN_FEEL_PARAM		58
#define DYN_GAIN_DRIVE_PARAM		59
#define DYN_GAIN_HICUT_PARAM		60
#define DYN_GAIN_BASS_PARAM		61
#define DYN_GAIN_TREBL_PARAM		62
#define DYN_GAIN_MSTR_VOL_PARAM		63
#define CLEAN_LEVEL_PARAM		64
#define SEND_SELECT_PARAM		65
#define DYN_GAIN_FEEL_GOOD_PARAM		66
#define DYN_GAIN_GTONE_PARAM		67
#define CLEAN_CTONE_PARAM		68
#define DYN_GAIN_GAIN_PARAM		69
#define CLEAN_CLEAN_PARAM		70
#define TONE_FX_LO_PARAM		71
#define TONE_FX_MID_PARAM		72
#define TONE_FX_HI_PARAM		73
#define RATE_11_PARAM		74
#define IN_LEVEL_PARAM		75
#define DYN_GAIN_COLOR_1_PARAM		76
#define TONE_LO_2_PARAM		77
#define TONE_HI_2_PARAM		78
#define TONE_MID_2_PARAM		79
#define TONE_LO_3_PARAM		80
#define TONE_MID_3_PARAM		81
#define TONE_HI_3_PARAM		82
#define TONE_HI_4_PARAM		83
#define TONE_MID_4_PARAM		84
#define TONE_LO_4_PARAM		85
#define DYN_GAIN_DRIVE_2_PARAM		86
#define DYN_GAIN_HICUT_2_PARAM		87
#define DYN_GAIN_HICUT_3_PARAM		88
#define DYN_GAIN_HICUT_4_PARAM		89
#define DYN_GAIN_HICUT_5_PARAM		90
#define DYN_GAIN_HICUT_6_PARAM		91
#define DYN_GAIN_DRIVE_3_PARAM		92
#define DYN_GAIN_DRIVE_4_PARAM		93
#define DYN_GAIN_DRIVE_5_PARAM		94
#define DYN_GAIN_DRIVE_6_PARAM		95
#define DYN_GAIN_FEEL_2_PARAM		96
#define DYN_GAIN_FEEL_3_PARAM		97
#define DYN_GAIN_FEEL_4_PARAM		98
#define DYN_GAIN_COLOR_2_PARAM		99
#define COMPRESSOR_ATTACK_TIME_PARAM		100
#define COMPRESSOR_RELEASE_TIME_PARAM		101
#define CLEAR_DELAY_PARAM		102
#define LOOPER_LAYER_PARAM		103
#define LOOPER_REPLACE_PARAM		104
#define LOOPER_DELAY_PARAM		105
#define LOOPER_START_STOP_PARAM		106
#define LOOPER_1_TIME_PARAM		107
#define MIX_PARAM		108
#define LVL_PARAM		109
#define LVL_1_PARAM		110
#define LVL_2_PARAM		111
#define PTCH_1_PARAM		112
#define PTCH_2_PARAM		113
#define PTCH_3_PARAM		114
#define PTCH_4_PARAM		115
#define GLIDE_PARAM		116
#define GLIDE_2_PARAM		117
#define TUNE_1_PARAM		118
#define TUNE_2_PARAM		119
#define TUNE_3_PARAM		120
#define TUNE_4_PARAM		121
#define TUNE_5_PARAM		122
#define P_DLY_1_PARAM		123
#define P_DLY_2_PARAM		124
#define PAN_PARAM		125
#define PAN_1_PARAM		126
#define PAN_2_PARAM		127
#define DEPTH_1_PARAM		128
#define DEPTH_2_PARAM		129
#define DEPTH_3_PARAM		130
#define DEPTH_4_PARAM		131
#define DEPTH_5_PARAM		132
#define RES_1_PARAM		133
#define RES_2_PARAM		134
#define SHAPE_PARAM		135
#define PHASE_2_PARAM		136
#define PHASE_3_PARAM		137
#define PHASE_4_PARAM		138
#define PULSE_WIDTH_1_PARAM		139
#define PULSE_WIDTH_2_PARAM		140
#define GAIN_PARAM		141
#define FC_PARAM		142
#define Q_PARAM		143
#define EQ_MODE_PARAM		144
#define GAIN_1_PARAM		145
#define FC_1_PARAM		146
#define Q_1_PARAM		147
#define EQ_1_MODE_PARAM		148
#define GAIN_2_PARAM		149
#define FC_2_PARAM		150
#define Q_2_PARAM		151
#define EQ_2_MODE_PARAM		152
#define GAIN_3_PARAM		153
#define FC_3_PARAM		154
#define Q_3_PARAM		155
#define EQ_3_MODE_PARAM		156
#define GAIN_4_PARAM		157
#define FC_4_PARAM		158
#define Q_4_PARAM		159
#define EQ_4_MODE_PARAM		160
#define GAIN_L_PARAM		161
#define FC_L_PARAM		162
#define Q_L_PARAM		163
#define EQ_L_MODE_PARAM		164
#define GAIN_R_PARAM		165
#define FC_R_PARAM		166
#define Q_R_PARAM		167
#define EQ_R_MODE_PARAM		168
#define GAIN_L1_PARAM		169
#define FC_L1_PARAM		170
#define Q_L1_PARAM		171
#define EQ_L1_MODE_PARAM		172
#define GAIN_L2_PARAM		173
#define FC_L2_PARAM		174
#define Q_L2_PARAM		175
#define EQ_L2_MODE_PARAM		176
#define GAIN_R1_PARAM		177
#define FC_R1_PARAM		178
#define Q_R1_PARAM		179
#define EQ_R1_MODE_PARAM		180
#define GAIN_R2_PARAM		181
#define FC_R2_PARAM		182
#define Q_R2_PARAM		183
#define EQ_R2_MODE_PARAM		184
#define LOCUT_PARAM		185
#define HICUT_PARAM		186
#define FC_BAL_PARAM		187
#define ADD_PARAM		188
#define SCALER_PARAM		189
#define FILTER_RESONANCE_PARAM		190
#define FEEDBACK_PARAM		191
#define FBK_1_PARAM		192
#define FBK_2_PARAM		193
#define XFBK_1_PARAM		194
#define XFBK_2_PARAM		195
#define DAMP_PARAM		196
#define DAMP_1_PARAM		197
#define DAMP_2_PARAM		198
#define RELTC_PARAM		199
#define DUCK_PARAM		200
#define VOL_PARAM		201
#define LEFT_VOL_PARAM		202
#define RIGHT_VOL_PARAM		203
#define DRIVE_PARAM		204
#define SENSE_PARAM		205
#define ATKTC_PARAM		206
#define SWEEP_PARAM		207
#define LOW_BOOST_PARAM		208
#define RESPONSIVENESS_PARAM		209
#define RES_PARAM		210
#define DRUM_PULSE_WIDTH_PARAM		211
#define DRUM_PHASE_PARAM		212
#define DRUM_DEPTH_PARAM		213
#define HORN_PULSE_WIDTH_PARAM		214
#define HORN_PHASE_PARAM		215
#define HORN_DEPTH_PARAM		216
#define HORN_DRUM_PAN_WIDTH_PARAM		217
#define CROSSOVER_FREQ_PARAM		218
#define CENTRIFUGE_PHASE_1_PARAM		219
#define COMB_PARAM		220
#define COMB_DEPTH_PARAM		221
#define LFO_1_MODE_PARAM		222
#define LFO_2_MODE_PARAM		223
#define LFO_PHASE_PARAM		224
#define LFO_DEPTH_PARAM		225
#define PULSE_WIDTH_PARAM		226
#define TRIG_LEVEL_PARAM		227
#define TRIG_SOURCE_PARAM		228
#define ATTACK_PREDELAY_PARAM		229
#define ATTACK_RATE_PARAM		230
#define DECAY_RATE_PARAM		231
#define SUSTAIN_LEVEL_PARAM		232
#define RELEASE_RATE_PARAM		233
#define RANDOM_LO_PARAM		234
#define RANDOM_HI_PARAM		235
#define AB_MODE_PARAM		236
#define AB_RATE_PARAM		237
#define AB_INERTIA_PARAM		238
#define SOURCE_1_PARAM		239
#define SOURCE_2_PARAM		240
#define ENV_ATTACK_RATE_PARAM		241
#define ENV_RELEASE_RATE_PARAM		242
#define INPUT_SOURCE_PARAM		243
#define CLOCK_PARAM		244
#define ON_SOURCE_PARAM		245
#define CLOCK_THRESHOLD_PARAM		246
#define GATE_LEVEL_PARAM		247
#define KNOB_VALUE_PARAM		248
#define KNOB_LOW_PARAM		249
#define KNOB_HIGH_PARAM		250
#define KNOB_NAME_PARAM		251
#define DRUM_DEPTH_WITH_HIDDEN_PARAM		252
#define LOLVL_PARAM		253
#define MDLVL_PARAM		254
#define HILVL_PARAM		255
#define RLOLVL_PARAM		256
#define RMDLVL_PARAM		257
#define RHILVL_PARAM		258
#define LLOLVL_PARAM		259
#define LMDLVL_PARAM		260
#define LHILVL_PARAM		261
#define RFREQ_PARAM		262
#define LFREQ_PARAM		263
#define HIFREQ_PARAM		264
#define LOFREQ_PARAM		265
#define LHIFQ_PARAM		266
#define RHIFQ_PARAM		267
#define LLOFQ_PARAM		268
#define RLOFQ_PARAM		269
#define BAL_PARAM		270
#define RES_2_WITH_013_INITS_PARAM		271
#define FLANGE_WITH_051_INITS_PARAM		272
#define FLANGE_WITH_052_INITS_PARAM		273
#define GAIN_3B_PARAM		274
#define G_R3_PARAM		275
#define TONE_LVL_PARAM		276
#define PITCH_THRESHOLD_PARAM		277
#define BASS_PARAM		278
#define BLEND_PARAM		279
#define LOW_PARAM		280
#define MID_PARAM		281
#define HIGH_PARAM		282
#define COMPRESSOR_SENSE_PARAM		283
#define COMPRESSOR_THRESHOLD_PARAM		284
#define PHASE_7_PARAM		285
#define RATE_12_PARAM		286
#define COMPRESSOR_GAIN_PARAM		287
#define DEVELOPEMENT_INSERT_TYPE_PARAM		288
#define DIATONIC_PITCH_THRESHOLD_PARAM		289
#define NULL_PARAM		290
#define D_COMPRESSOR_SENSE_PARAM		291
#define P_DLY_3_PARAM		292
#define LOOP_DELAY_TIME_PARAM		293
#define TUNE_6_PARAM		294
// Option Parameters 
#define OPTIMIZE_1_OPTION		295
#define OPTIMIZE_2_OPTION		296
#define OPTIMIZE_3_OPTION		297
#define RATE_UNITS_OPTION		298
#define RATE_1_UNITS_OPTION		299
#define RATE_2_UNITS_OPTION		300
#define TIME_UNITS_OPTION		301
#define FEEDBACK_INSERT_OPTION		302
#define WAH_TYPE_OPTION		303
#define DRUM_RATE_UNITS_OPTION		304
#define TIME1_UNITS_OPTION		305
#define TIME2_UNITS_OPTION		306
#define PITCH_DETECT_SOURCE_OPTION		307
#define DIATONIC_HARMONY_INPUT_OPTION		308
#define OPTIMIZE_4_OPTION		309
// System Parameters 
#define MIDI_IN_CHANNEL_PARAM		310
#define MIDI_OUTPUT_RATE_PARAM		311
#define MIDI_DEVICE_ID_PARAM		312
#define MIDI_OUT_CHANNEL_PARAM		313
#define PROGRAM_CHANGE_OFFSET_PARAM		314
#define MIDI_AUTOMATION_MODE_PARAM		315
#define MIDI_CLOCK_MODE_PARAM		316
#define SORT_MODE_PARAM		317
#define CUR_CONTRAST_PARAM		318
#define AUTOMATION_DEVICE_ID_PARAM		319
#define PROGRAM_CHANGE_MODE_PARAM		320
#define AUTO_LOAD_MODE_PARAM		321
#define MEMORY_PROTECT_MODE_PARAM		322
#define SLEEP_MODE_PARAM		323
#define MIX_MODE_PARAM		324
#define PROGRAM_LOAD_BYPASS_MODE_PARAM		325
#define PGM_INC_CONTROLLER_PARAM		326
#define PGM_DEC_CONTROLLER_PARAM		327
#define SOFT_SATURATION_MODE_PARAM		328
#define SETUP_NAME_PARAM		329
#define DUMP_CHOICE_PARAM		330
#define EFFECT_STATUS_PARAM		331
#define PROGRAM_NAME_PARAM		332
#define SORT_FLAGS_PARAM		333
#define TOP_10_PARAM		334
#define MIDI_SMOOTH_PARAM		335
#define AUTO_STORE_MODE_PARAM		336
#define GLOBAL_TEMPO_MODE_PARAM		337
#define SYSTEM_BYPASS_PARAM		338
#define DATABASE_PARAM		339
#define BUTTON_PARAM		340
#define DISPLAY_PARAM		341
#define PROG_SELECT_PARAM		342
#define SETUP_SELECT_PARAM		343
#define SETUP_SAVE_PARAM		344
#define CLEAR_USER_PROG_PARAM		345
#define SAVE_PROG_PARAM		346
#define CUR_CHOICES_PARAM		347
#define SYSEX_ON_OFF_PARAM		348
#define INITIALIZE_PARAM		349
#define SETUPS_DUMP_PARAM		350
#define PATCHES_DUMP_PARAM		351
#define SOFT_ROW_DUMP_PARAM		352
#define CONT_REMAP_DUMP_PARAM		353
#define BYPASS_CONT_DUMP_PARAM		354
#define GLOBAL_PATCHES_DUMP_PARAM		355
#define DATABASE_DUMP_PARAM		356
#define LEDS_PARAM		357
#define CUSTOM_CHAR_DUMP_PARAM		358
#define OPERATING_TIME_PARAM		359
#define SPLIT_SW_PARAM		360
#define DSP_BYP_PARAM		361
#define SUM_SW_PARAM		362
#define DSP_RIGHT_SW_PARAM		363
#define DSP_LEFT_SW_PARAM		364
#define MIX_SWITCH_PARAM		365
#define POST_BYPASS_MODE_PARAM		366
#define SEND_BYPASS_MODE_PARAM		367
#define INSERT_MODE_PARAM		368
#define FX_1_TOE_PATCH_PARAM		369
#define GLOBAL_SPKR_SIM_PARAM		370
#define GLOBAL_NOISE_GATE_PARAM		371
#define GLOBAL_REVERB_PARAM		372
#define FX_2_TOE_PATCH_PARAM		373
#define CHORUS_TOE_PATCH_PARAM		374
#define DELAY_TOE_PATCH_PARAM		375
#define REVERB_TOE_PATCH_PARAM		376
#define EQ_TOE_PATCH_PARAM		377
#define GAIN_TOE_PATCH_PARAM		378
#define OUTPUT_MODE_PARAM		379
#define MIDI_SOFT_THRU_PARAM		380
#define FX_1_ALG_SELECT_PARAM		381
#define FX_2_ALG_SELECT_PARAM		382
#define CHORUS_ALG_SELECT_PARAM		383
#define DELAY_ALG_SELECT_PARAM		384
#define REVERB_ALG_SELECT_PARAM		385
#define EQ_ALG_SELECT_PARAM		386
#define GAIN_ALG_SELECT_PARAM		387
#define FX_1_PARAM_DATA_PARAM		388
#define FX_2_PARAM_DATA_PARAM		389
#define CHORUS_PARAM_DATA_PARAM		390
#define DELAY_PARAM_DATA_PARAM		391
#define REVERB_PARAM_DATA_PARAM		392
#define EQ_PARAM_DATA_PARAM		393
#define GAIN_PARAM_DATA_PARAM		394
#define INSERT_TYPE_PARAM		395
#define POST_DSP_IN_MODE_PARAM		396
#define POST_DSP_OUT_MODE_PARAM		397
#define TUNER_CAL_PARAM		398
#define TUNER_OFFSET_PARAM		399
#define TUNER_BYPASS_MODE_PARAM		400
#define SPKR_SPLIT_PARAM		401
#define SPKR_SIM_FREQ_PARAM		402
#define SPKR_SIM_SHELF_PARAM		403
#define SPKR_SIM_HIGH_PEAK_PARAM		404
#define SPKR_SIM_BYP_PARAM		405
#define METERS_PARAM		406
#define INTERNAL_CONTROLLERS_PARAM		407
#define TAP_BUTTON_PARAM		408
#define EDIT_BUTTON_PARAM		409
#define PROGRAM_BUTTON_PARAM		410
#define SYSTEM_BUTTON_PARAM		411
#define STORE_BUTTON_PARAM		412
#define GAIN_BUTTON_PARAM		413
#define FX_1_BUTTON_PARAM		414
#define FX_2_BUTTON_PARAM		415
#define CHORUS_BUTTON_PARAM		416
#define DELAY_BUTTON_PARAM		417
#define REVERB_BUTTON_PARAM		418
#define EQ_BUTTON_PARAM		419
#define INSERT_BUTTON_PARAM		420
#define BYPASS_BUTTON_PARAM		421
#define LEFT_BUTTON_PARAM		422
#define SOFT_ROW_BUTTON_PARAM		423
#define A_B_BUTTON_PARAM		424
#define RIGHT_BUTTON_PARAM		425
#define OPTIONS_BUTTON_PARAM		426
#define GAIN_BYPASS_PARAM		427
#define FX_1_BYPASS_PARAM		428
#define FX_2_BYPASS_PARAM		429
#define CHORUS_BYPASS_PARAM		430
#define DELAY_BYPASS_PARAM		431
#define REVERB_BYPASS_PARAM		432
#define EQ_BYPASS_PARAM		433
#define INSERT_BYPASS_PARAM		434
#define DRAM_TEST_PARAM		435
#define LEXICHIP_TEST_PARAM		436
#define SRAM_TEST_PARAM		437
#define ROM_TEST_PARAM		438
#define _2186_SRAM_TEST_PARAM		439
#define _2186_LEXICHIP_SERIAL_TEST_PARAM		440
#define _2186_SAMPLE_RATE_TEST_PARAM		441
#define _2186_DIGIPOT_TEST_PARAM		442
#define TEST_RESULTS_PARAM		443
#define REMAP_ALGS_PARAM		444
#define DEV_MUTE_PARAM		445
#define MENU_ID_MODE_PARAM		446
#define AUTO_LCD_MODE_PARAM		447
#define AUTO_PARAM_MODE_PARAM		448
#define AUTO_LED_MODE_PARAM		449
#define TERMINAL_AUTO_DISPLAY_MODE_PARAM		450
#define LUSP_ADDRESS_MODE_PARAM		451
#define MENU_ID_PARAM		452
#define AUTO_EVENTS_MODE_PARAM		453
#define GLOBAL_BYPASS_PARAM		454
#define DUMMY_PARAM		455
#define PROG_BYPASS_PARAM		456

#define FIRST_SET_PTRS_FROM_FUNCT_PARAM		457
#define TEMPO_RATE_PARAM		457
#define TEMPO_SOURCE_PARAM		458
#define BEAT_VALUE_PARAM		459
#define TAP_SOURCE_PARAM		460
#define TAP_AVERAGE_PARAM		461
#define TAP_SOURCE_LEVEL_PARAM		462
#define GLOBAL_PATCH_SOURCE_PARAM		463
#define GLOBAL_PATCH_DEST_PARAM		464
#define BYPASS_PATCH_SOURCE_PARAM		465
#define CONT_REMAP_PARAM		466
#define CHAINS_PARAM		467
#define MIDI_MAP_PARAM		468
#define SOFT_ROW_ASSIGNMENT_PARAM		469
#define PATCH_SOURCE_CONT_PARAM		470
#define PATCH_SOURCE_MIN_PARAM		471
#define PATCH_SOURCE_MID_PARAM		472
#define PATCH_SOURCE_MAX_PARAM		473
#define PATCH_DEST_TYPE_PARAM		474
#define ROUTING_UPPER_INPUT_CONN_PARAM		475
#define ROUTING_LOWER_INPUT_CONN_PARAM		476
#define ROUTING_ROUTING_PARAM		477
#define ROUTING_EFFECT_TYPE_PARAM		478
#define PROG_DUMP_PARAM		479
#define MIDI_MAP_DUMP_PARAM		480
#define CHAIN_DUMP_PARAM		481
#define SETUP_DUMP_PARAM		482
#define SIMULATOR_PARAM		483
#define CABINET_PARAM		484
#define NOISE_GATE_ENABLE_PARAM		485
#define NOISE_GATE_THRESHOLD_PARAM		486
#define NOISE_GATE_OFFSET_PARAM		487
#define NOISE_GATE_HOLD_TIME_PARAM		488
#define NOISE_GATE_ATTACK_TIME_PARAM		489
#define NOISE_GATE_RELEASE_TIME_PARAM		490
#define NOISE_GATE_ATTENUATION_PARAM		491
#define NOISE_GATE_DELAY_TIME_PARAM		492
#define POST_LEVEL_PARAM		493
#define POST_MIX_PARAM		494
#define SEND_BYPASS_LEVEL_PARAM		495
#define POST_BYPASS_LEVEL_PARAM		496
#define ROUTING_PATH_TYPE_PARAM		497
#define SEND_LEVEL_PARAM		498
#define PATCH_1_DEST_MIN_PARAM		499
#define PATCH_2_DEST_MIN_PARAM		500
#define PATCH_3_DEST_MIN_PARAM		501
#define PATCH_4_DEST_MIN_PARAM		502
#define PATCH_5_DEST_MIN_PARAM		503
#define PATCH_1_DEST_MID_PARAM		504
#define PATCH_2_DEST_MID_PARAM		505
#define PATCH_3_DEST_MID_PARAM		506
#define PATCH_4_DEST_MID_PARAM		507
#define PATCH_5_DEST_MID_PARAM		508
#define PATCH_1_DEST_MAX_PARAM		509
#define PATCH_2_DEST_MAX_PARAM		510
#define PATCH_3_DEST_MAX_PARAM		511
#define PATCH_4_DEST_MAX_PARAM		512
#define PATCH_5_DEST_MAX_PARAM		513
#define DEV_LO_CUT_PARAM		514
#define DEV_FEEL_PARAM		515
#define DEV_DRIVE_PARAM		516
#define DEV_HICUT_PARAM		517
#define DEV_BASS_PARAM		518
#define DEV_TREBL_PARAM		519
#define DEV_MSTR_VOL_PARAM		520
#define DEV_CLEAN_LEVEL_PARAM		521
#define DEV_GTONE_PARAM		522
#define DEV_FEEL_GOOD_PARAM		523
#define DEV_CTONE_PARAM		524
#define DEV_CLEAN_PARAM		525
#define DEV_SEND_SELECT_PARAM		526
#define DEV_GAIN_BP_PARAM		527
#define NOISE_GATE_SEND_MUTE_PARAM		528
// Control Levels 
#define EFFECT_1_CONTROL		529
#define CHORUS_CONTROL		530
#define EQUALIZER_CONTROL		531
#define REVERB_CONTROL		532
#define DELAY_CONTROL		533
#define PROGRAM_CONTROL		534
#define SYSTEM_CONTROL		535
#define PROGRAM_PATCHING_CONTROL		536
#define SOFT_ROW_CONTROL		537
#define TREE_TOP_CONTROL		538
#define AUDIO_ROUTING_CONTROL		539
#define PROG_DUMPS_GROUP_CONTROL		540
#define MISC_PROGRAM_CONTROL_CONTROL		541
#define AUDIO_CONFIG_CONTROL		542
#define MIDI_CONTROL		543
#define SETUP_CONTROL		544
#define SOFT_PARAM_CONTROL		545
#define PATCH_1_CONTROL		546
#define GLOBAL_PATCH_CONTROL		547
#define BYPASS_PATCH_CONTROL		548
#define CONTROLLER_REMAP_CONTROL		549
#define CHAIN_LINK_CONTROL		550
#define MAP_LINK_CONTROL		551
#define INPUT_BLOCK_CONTROL		552
#define EFFECT_BLOCK_CONTROL		553
#define OUTPUT_BLOCK_CONTROL		554
#define PANEL_CONTROL		555
#define MISC_DUMPS_CONTROL		556
#define MIDI_MAP_DUMP_CONTROL		557
#define CHAINS_DUMP_CONTROL		558
#define SETUP_DUMP_CONTROL		559
#define GAIN_CONTROL		560
#define EFFECT_2_CONTROL		561
#define TUNER_MODES_CONTROL		562
#define TEMPO_CONTROL		563
#define SPEAKER_SIMULATOR_CONTROL		564
#define NOISE_GATE_CONTROL		565
#define GLOBAL_MODES_CONTROL		566
#define TOE_PATCHES_CONTROL		567
#define ALGORITHM_SELECT_CONTROL		568
#define SYSTEM_AUDIO_ROUTING_CONTROL		569
#define PATCH_2_CONTROL		570
#define PATCH_3_CONTROL		571
#define PATCH_4_CONTROL		572
#define PATCH_5_CONTROL		573
#define POST_CONTROL		574
#define SEND_CONTROL		575
#define BUTTONS_CONTROL		576
#define EFFECT_BYPASS_CONTROL		577
#define DIAGNOSTICS_CONTROL		578
#define SYSTEM_MODES_CONTROL		579

#define FIRST_SERIES_CONTROL		580
#define GLOBAL_PATCHING_CONTROL		580
#define BYPASS_PATCHING_CONTROL		581
#define CONTROLLER_REMAPPING_CONTROL		582
#define PROGRAM_CHAINS_CONTROL		583
#define PROGRAM_CHAIN_CONTROL		584
#define MIDI_MAPS_CONTROL		585
#define MIDI_MAP_CONTROL		586
#define MIDI_MAP_DUMPS_GROUP_CONTROL		587
#define CHAINS_DUMPS_GROUP_CONTROL		588
#define SETUPS_DUMPS_GROUP_CONTROL		589
#define PROG_B1_DUMP_CONTROL		590
#define PROG_B2_DUMP_CONTROL		591
#define PROG_B3_DUMP_CONTROL		592
// Int Controller 
#define KNOB_CONTROL		593
#define LFO_1_CONTROL		594
#define LFO_2_CONTROL		595
#define RANDOM_CONTROL		596
#define AB_CONTROL		597
#define ENVELOPE_GENERATOR_CONTROL		598
// Effects 
#define MONODETUNE_PROG		599
#define STEREODETUNE_PROG		600
#define DUALDETUNE_PROG		601
#define MONOSHIFT_PROG		602
#define STEREOSHIFT_PROG		603
#define DUALSHIFT_PROG		604
#define FX_1_VOLUME_M_PROG		605
#define FX_1_VOLUME_S_PROG		606
#define FX_1_VOLUME_D_PROG		607
#define TESTTONE_PROG		608
#define CHORUSFX_PROG		609
#define FLANGER_M_PROG		610
#define FLANGER_S_PROG		611
#define PHASER_1_PROG		612
#define ROTARY_PROG		613
#define AEROSOL_PROG		614
#define ORBITS_PROG		615
#define CENTRIFUGE1_PROG		616
#define CENTRIFUGE2_PROG		617
#define COMB_1_PROG		618
#define MONO_1_BAND_PARAMETRIC_PROG		619
#define MONO_2_BAND_PARAMETRIC_PROG		620
#define MONO_3_BAND_PARAMETRIC_PROG		621
#define MONO_4_BAND_PARAMETRIC_PROG		622
#define STEREO_1_BAND_PARAMETRIC_PROG		623
#define STEREO_2_BAND_PARAMETRIC_PROG		624
#define DUAL_1_BAND_PARAMETRIC_PROG		625
#define DUAL_2_BAND_PARAMETRIC_PROG		626
#define FX_1_SWEEPFILTER_PROG		627
#define WAH_PROG		628
#define FCSPLIT_PROG		629
#define CROSSOVER_PROG		630
#define MONO_2_TONE_PROG		631
#define STEREO_2_TONE_PROG		632
#define DUAL_2_TONE_PROG		633
#define PANNER_PROG		634
#define AUTO_PAN_PROG		635
#define TREMOLO_M_PROG		636
#define TREMOLO_S_PROG		637
#define REVERB_CHAMBER_PROG		638
#define REVERB_HALL_PROG		639
#define REVERB_PLATE_PROG		640
#define REVERB_INVERSE_PROG		641
#define REVERB_AMBIENCE_PROG		642
#define MONO_DELAY_PROG		643
#define STEREO_DELAY_PROG		644
#define DUAL_DELAY_PROG		645
#define MONO_ECHO_PROG		646
#define STEREO_ECHO_PROG		647
#define DUAL_ECHO_PROG		648
#define MONO_LOOPER_PROG		649
#define MONO_DUCKER_PROG		650
#define NO_EFFECT_PROG		651
#define DIATONICHARMONY_PROG		652
#define OCTABUZZ_PROG		653
#define PEDALWAH_PROG		654
#define _24_BIT_FLANGER_PROG		655
#define OVERDRIVE_1_PROG		656
#define OVERDRIVE_2_PROG		657
#define COMPRESSOR_PROG		658
#define FX_2_PANNER_PROG		659
#define FX_2_AUTO_PAN_PROG		660
#define FX_2_TREMOLO_M_PROG		661
#define FX_2_TREMOLO_S_PROG		662
#define FX_2_SWEEP_FILTER_PROG		663
#define FX_2_VOLUME_M_PROG		664
#define FX_2_VOLUME_S_PROG		665
#define FX_2_VOLUME_D_PROG		666
#define FX_2_TESTTONE_PROG		667
#define FX_2_PHASER_1_PROG		668
#define FX_2_OVERDRIVE_1_PROG		669
#define FX_2_OVERDRIVE_2_PROG		670
#define FX_2_COMPRESSOR_PROG		671
#define FX_2_MONO_WAH_PROG		672
#define FX_2_PEDALWAH_PROG		673
#define FX_2_OCTABUZZ_PROG		674
#define UNIVYBE_PROG		675
#define GAIN_ALL_PARAMS_PROG		676
#define GAIN_SCREAMER_PROG		677
#define GAIN_DISTORTION_PROG		678
#define GAIN_TONE_PROG		679
#define GAIN_CUSTOMSPLIT_PROG		680
#define GAIN_OVERDRIVE_PROG		681
#define GAIN_CUSTOM_PROG		682
#define COMB_2_PROG		683
#define FX_2_UNIVYBE_PROG		684
#define FX_2_MONO_1_BAND_PARAMETRIC_PROG		685
#define CHORUS_MONODETUNE_PROG		686
#define FX_2_CLICK_PROG		687
#define FX_1_PEDAL_VOLUME_PROG		688
#define FX_2_PEDAL_VOLUME_PROG		689
#define FX_1_DCOMPRESSOR_PROG		690
#define FX_2_DCOMPRESSOR_PROG		691
#define FX_2_UNIVYBE2_PROG		692
#define FX_1_UNIVYBE2_PROG		693
#define EQ_CLEAN_PLUS_PROG		694
#define GAIN_CRUNCH_PROG		695
#define FX_2_PHASE9T_PROG		696
#define FX_1_PHASE9T_PROG		697
#define MONO_LOOPER_2_DELAY_PROG		698
#define CHORUS_VOLUME_M_PROG		699
#define CHORUS_VOLUME_S_PROG		700
#define CHORUS_VOLUME_D_PROG		701
#define EQ_VOLUME_M_PROG		702
#define EQ_VOLUME_S_PROG		703
#define EQ_VOLUME_D_PROG		704
#define CHORUS_PEDAL_VOLUME_PROG		705
#define EQ_PEDAL_VOLUME_PROG		706
#define FX_1_WAH_2_PROG		707
#define FX_1_PEDALWAH_2_PROG		708
#define FX_1_MONO_1_BAND_PARAMETRIC_PROG		709
#define FX_1_EXT_PEDAL_VOLUME_PROG		710
#define FX_1_CLICK_PROG		711
#define FX_2_WAH_2_PROG		712
#define FX_2_PEDALWAH_2_PROG		713
#define FX_2_EXT_PEDAL_VOLUME_PROG		714
#define CHORUS_EXT_PEDAL_VOLUME_PROG		715
#define EQ_EXT_PEDAL_VOLUME_PROG		716
#define NUM_PARAM_TYPES		717

// Single Units 
#define MIX_UNITS		0
#define OPTIONS_NO_UNITS		1
#define OPTIMIZE_2_UNITS		2
#define OPTIMIZE_3_UNITS		3
#define RATE_UNITS_UNITS		4
#define TIME_UNITS_UNITS		5
#define FEEDBACK_INSERT_UNITS		6
#define WAH_TYPE_UNITS		7
#define LEVEL_UNITS		8
#define LEVEL_1_UNITS		9
#define PITCH_UNITS		10
#define _0_TO_1_UNITS		11
#define _0_TO_100_UNITS		12
#define _1_TO_100_UNITS		13
#define P_DLY_1_UNITS		14
#define P_DLY_2_UNITS		15
#define PAN_UNITS		16
#define _1_TO_5000_HZ_UNITS		17
#define TEMPO_RATIO_UNITS		18
#define PERCENTAGE_UNITS		19
#define NEG_50_TO_POS_50_UNITS		20
#define NEG_72_TO_24_UNITS		21
#define NEG_100_TO_POS_100_UNITS		22
#define NEG_100_TO_POS_100_PERCENTAGE_UNITS		23
#define NEG_120_TO_POS_120_UNITS		24
#define _0_TO_127_UNITS		25
#define _0_TO_3_UNITS		26
#define _0_TO_15_UNITS		27
#define _20_TO_20000_UNITS		28
#define _100_TO_10000_UNITS		29
#define Q_UNITS		30
#define EQ_MODE_UNITS		31
#define CHROMATIC_NOTE_UNITS		32
#define LFO_MODE_UNITS		33
#define ADSR_MODE_UNITS		34
#define AB_MODE_UNITS		35
#define ENV_SOURCE_UNITS		36
#define NAME_UNITS		37
#define ARP_MODE_UNITS		38
#define MIDI_IN_CHANNEL_UNITS		39
#define MIDI_OUT_CHANNEL_UNITS		40
#define MIDI_OUT_RATE_UNITS		41
#define PROGRAM_UNITS		42
#define ON_OFF_UNITS		43
#define METER_UNITS		44
#define SORT_MODE_UNITS		45
#define BYPASS_MODE_UNITS		46
#define MEM_PROTECT_UNITS		47
#define PATCH_UPDATE_MODE_UNITS		48
#define SLEEP_MODE_UNITS		49
#define MIX_MODE_UNITS		50
#define PROGRAM_LOAD_BYPASS_MODE_UNITS		51
#define MIN_OFF_CONT_SOURCE_UNITS		52
#define PGM_INC_DEC_CONTR_UNITS		53
#define CLOCK_SOURCE_UNITS		54
#define OUTPUT_MODE_UNITS		55
#define TEMPO_UNITS		56
#define TEMPO_SOURCE_UNITS		57
#define NOTE_UNITS		58
#define CONT_SOURCE_UNITS		59
#define TAP_AVERAGE_UNITS		60
#define UI_DUMP_UNITS		61
#define GLOBAL_PATCH_UNITS		62
#define GLOBAL_PATCH_SOURCE_UNITS		63
#define GLOBAL_PATCH_DEST_UNITS		64
#define BYPASS_PATCH_UNITS		65
#define BYPASS_PATCH_SOURCE_UNITS		66
#define CONTROLLER_SEND_UNITS		67
#define _0_TO_63_UNITS		68
#define _0_TO_255_UNITS		69
#define INPUT_MODE_UNITS		70
#define DELAY_MSEC_UNITS		71
#define DELAY_FEET_UNITS		72
#define DELAY_METERS_UNITS		73
#define FULL_SIZE_UNITS		74
#define CHAMBER_SIZE_UNITS		75
#define HALL_SIZE_UNITS		76
#define DURATION_UNITS		77
#define TREB_UNITS		78
#define SPFILT_UNITS		79
#define BASSRT_UNITS		80
#define XOVER_UNITS		81
#define MIDRT_UNITS		82
#define DECAY_LEVEL_UNITS		83
#define PERCENT50_UNITS		84
#define MSEC_UNITS		85
#define SPREAD_UNITS		86
#define SHAPE_UNITS		87
#define SLOPE_UNITS		88
#define EFFECT_TYPE_UNITS		89
#define ROUTING_EFFECT_TYPE_UNITS		90
#define INPUT_CONN_UNITS		91
#define AUDIO_ROUTING_UNITS		92
#define TONE_LEVEL_UNITS		93
#define MONO_DELAY_MSEC_UNITS		94
#define MONO_DELAY_FEET_UNITS		95
#define MONO_DELAY_METERS_UNITS		96
#define LOAD_MODE_UNITS		97
#define DUMP_UNITS		98
#define PHASE_UNITS		99
#define BAL_UNITS		100
#define RES_UNITS		101
#define ARP_VELOCITY_SOURCE_UNITS		102
#define BUTTON_UNITS		103
#define DISPLAY_UNITS		104
#define PROG_SELECT_UNITS		105
#define EFFECT_BYPASS_UNITS		106
#define DUMMY_UNITS		107
#define USER_PROGRAM_UNITS		108
#define SETUPS_UNITS		109
#define INITIALIZE_UNITS		110
#define DIGIPOT_UNITS		111
#define ON_OFF_WITH_BIN_UNITS		112
#define DSP_BYPASS_UNITS		113
#define TONE_UNITS		114
#define MOJO_BYPASS_UNITS		115
#define SX_BYPASS_UNITS		116
#define FEEL_UNITS		117
#define SEND_SEL_UNITS		118
#define SUM_MONO_UNITS		119
#define LEFT_INS_UNITS		120
#define SPKR_SIM_BYPASS_UNITS		121
#define RT_INS_CT_UNITS		122
#define MIX_INSERT_UNITS		123
#define _0_TO_252_UNITS		124
#define SEND_BYPASS_UNITS		125
#define POST_BYPASS_UNITS		126
#define INSERT_MODE_UNITS		127
#define TUNER_CAL_UNITS		128
#define TUNER_OFFSET_UNITS		129
#define TUNER_BYPASS_MODE_UNITS		130
#define RELAY_CHAN_UNITS		131
#define NOISE_GATE_ENABLE_UNITS		132
#define NOISE_GATE_THRESHOLD_UNITS		133
#define NOISE_GATE_OFFSET_UNITS		134
#define NOISE_GATE_HOLD_TIME_UNITS		135
#define NOISE_GATE_ATTACK_TIME_UNITS		136
#define NOISE_GATE_RELEASE_TIME_UNITS		137
#define NOISE_GATE_DELAY_TIME_UNITS		138
#define NOISE_GATE_ATTENUATION_UNITS		139
#define CABINET_UNITS		140
#define TOE_PATCH_UNITS		141
#define FX_1_ALG_UNITS		142
#define FX_2_ALG_UNITS		143
#define CHORUS_ALG_UNITS		144
#define DELAY_ALG_UNITS		145
#define REVERB_ALG_UNITS		146
#define EQ_ALG_UNITS		147
#define GAIN_ALG_UNITS		148
#define PARAM_DATA_UNITS		149
#define ROUTING_PATH_TYPE_UNITS		150
#define KEY_UNITS		151
#define SCALE_UNITS		152
#define INTERVAL_UNITS		153
#define PITCH_DETECT_SOURCE_UNITS		154
#define INSERT_TYPE_UNITS		155
#define INVERTED_LEVEL_UNITS		156
#define HI_TONE_UNITS		157
#define CUT_BOOST_UNITS		158
#define LO_CUT_UNITS		159
#define SPEAKER_FREQ_UNITS		160
#define HI_CUT_UNITS		161
#define SIGNED_BARGRAPH_1_UNITS		162
#define SEND_LEVEL_UNITS		163
#define PATCH_DEST_TYPE_UNITS		164
#define PATCH_CONT_SOURCE_UNITS		165
#define TONE_FX_LO_UNITS		166
#define TONE_FX_MID_UNITS		167
#define TONE_FX_HI_UNITS		168
#define SOFT_ROW_ASSIGNMENT_UNITS		169
#define DIATONIC_INPUT_UNITS		170
#define _0_TO_5_UNITS		171
#define PLUS_MINUS_5_UNITS		172
#define PLUS_MINUS_15_UNITS		173
#define MINUS_25_TO_PLUS_18_UNITS		174
#define _0_TO_18_UNITS		175
#define DYN_GAIN_DRIVE_2_UNITS		176
#define DYN_GAIN_DRIVE_3_UNITS		177
#define DYN_GAIN_DRIVE_4_UNITS		178
#define DYN_GAIN_DRIVE_5_UNITS		179
#define DYN_GAIN_DRIVE_6_UNITS		180
#define DYN_GAIN_HI_CUT_2_UNITS		181
#define DYN_GAIN_HI_CUT_3_UNITS		182
#define DYN_GAIN_HI_CUT_4_UNITS		183
#define DYN_GAIN_HI_CUT_5_UNITS		184
#define DYN_GAIN_HI_CUT_6_UNITS		185
#define DYN_GAIN_FEEL_2_UNITS		186
#define DYN_GAIN_FEEL_4_UNITS		187
#define COLOR_1_UNITS		188
#define COLOR_2_UNITS		189
#define D_COMPRESSOR_SENSE_UNITS		190
#define NUM_BEATS_UNITS		191
#define MENU_UNITS		192
#define OPTIMIZE_4_UNITS		193
#define LOOPER_1_TIME_UNITS		194
#define P_DLY_3_UNITS		195
#define FIRST_VARIABLE_RANGE_UNITS		196

#define PARAM_INDEX_UNITS		196
#define PARAM_RANGE_UNITS		197
#define LAST_VARIABLE_RANGE_UNIT		197

#define NUM_SINGLE_UNIT_TYPES		198

// Multi Units 
#define RATE_UNITS		198
#define DELAY_UNITS		199
#define MONO_DELAY_UNITS		200
#define NUM_MULTI_UNIT_TYPES		3

#define NUM_UNIT_TYPES		201

